<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListChangeRes StructType
 * @subpackage Structs
 */
class ListChangeRes extends APIResponse
{
    /**
     * The queueInfo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var ListChangeQueue
     */
    public $queueInfo;
    /**
     * The changes
     * @var Changes
     */
    public $changes;
    /**
     * Constructor method for ListChangeRes
     * @uses ListChangeRes::setQueueInfo()
     * @uses ListChangeRes::setChanges()
     * @param ListChangeQueue $queueInfo
     * @param Changes $changes
     */
    public function __construct(ListChangeQueue $queueInfo = null, Changes $changes = null)
    {
        $this
            ->setQueueInfo($queueInfo)
            ->setChanges($changes);
    }
    /**
     * Get queueInfo value
     * @return ListChangeQueue|null
     */
    public function getQueueInfo()
    {
        return $this->queueInfo;
    }
    /**
     * Set queueInfo value
     * @param ListChangeQueue $queueInfo
     * @return ListChangeRes
     */
    public function setQueueInfo(ListChangeQueue $queueInfo = null)
    {
        $this->queueInfo = $queueInfo;
        return $this;
    }
    /**
     * Get changes value
     * @return Changes|null
     */
    public function getChanges()
    {
        return $this->changes;
    }
    /**
     * Set changes value
     * @param Changes $changes
     * @return ListChangeRes
     */
    public function setChanges(Changes $changes = null)
    {
        $this->changes = $changes;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return ListChangeRes
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
